Package org.zkoss.zk.ui.sys

## Interface ExecutionInfo

-     public interface ExecutionInfo

  The information about the event being served by the current execution.
  Since:
    5.0.6
  Author:
    tomyeh
  See Also:
    `ExecutionCtrl.getExecutionInfo()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Event` | `getEvent()` | Returns the event being served (never null).
    `EventListener<? extends Event>` | `getEventListener()` | Returns the listener that serves the event, or null if it is served by a method (`getEventMethod()`), or a zscript (`getEventZScript()`).
    `java.lang.reflect.Method` | `getEventMethod()` | Returns the method that serves the event, or null if it is served by a listener (`getEventListener()`), or a zscript (`getEventZScript()`).
    `ZScript` | `getEventZScript()` | Returns the zscript that serves the event, or null if it is served by a listener (`getEventListener()`), or a method (`getEventMethod()`).
    `java.lang.Thread` | `getThread()` | Returns the thread serving the event.

- - ### Method Detail

    - #### getThread

          java.lang.Thread getThread()

      Returns the thread serving the event.

    - #### getEvent

          Event getEvent()

      Returns the event being served (never null).

      Notice: don't change the state of any UI objects (such as components and desktops) since they might belong to other

    - #### getEventMethod

          java.lang.reflect.Method getEventMethod()

      Returns the method that serves the event, or null if it is served by a listener (`getEventListener()`), or a zscript (`getEventZScript()`).

    - #### getEventListener

          EventListener<? extends Event> getEventListener()

      Returns the listener that serves the event, or null if it is served by a method (`getEventMethod()`), or a zscript (`getEventZScript()`).

    - #### getEventZScript

          ZScript getEventZScript()

      Returns the zscript that serves the event, or null if it is served by a listener (`getEventListener()`), or a method (`getEventMethod()`).
      Since:
        5.0.8